Bug 1574292 - "dhclient -I" shows "cant find device client" after upgrade
Summary: "dhclient -I" shows "cant find device client" after upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dhcp
Version: 7.5
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Pavel Zhukov
QA Contact: Robin Hack
URL:
Whiteboard:
Depends On:
Blocks: 1663257 1630905 1630913
TreeView+ depends on / blocked
 
Reported: 2018-05-03 02:23 UTC by Sandeep MJ
Modified: 2019-08-06 12:40 UTC (History)
4 users (show)

Fixed In Version: dhcp-4.2.5-70.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 12:40:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3450392 None None None 2018-05-18 06:43:09 UTC
Red Hat Product Errata RHSA-2019:2060 None None None 2019-08-06 12:40:26 UTC

Description Sandeep MJ 2018-05-03 02:23:23 UTC
Description of problem:
After upgrade to "dhclient-4.2.5-68.el7.x86_64", unable to get results on the specifying the "dhcp-client-identifier"

Version-Release number of selected component (if applicable):
dhclient-4.2.5-68.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Configure DHCP server:

~~~
# rpm -q dhclient
dhclient-4.2.5-68.el7.x86_64

[root@server ~]# cat /etc/dhcp/dhcpd.conf 
subnet 	192.168.2.0 netmask 255.255.255.0 {
	range 192.168.2.10 192.168.2.20;
}
host client {option dhcp-client-identifier "client"; fixed-address 192.168.2.15 ; }
~~~


2. Run "dhclient -I" on the client:

~~~
[root@client ~]# dhclient -I client
cant find device client
[root@client ~]# rpm -q dhclient
dhclient-4.2.5-68.el7.x86_64
~~~

Actual results:
cant find device client

Expected results:

~~~
[root@client2 ~]# dhclient -I client

[root@client2 ~]# ifconfig enp0s3
enp0s3: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet 192.168.2.15  netmask 255.255.255.0  broadcast 192.168.1.255
        inet6 fe80::a00:27ff:fec9:5aff  prefixlen 64  scopeid 0x20<link>
        ether 08:00:27:c9:5a:ff  txqueuelen 1000  (Ethernet)
        RX packets 589  bytes 64494 (62.9 KiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 312  bytes 39583 (38.6 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

[root@client2 ~]# rpm -q dhclient
dhclient-4.2.5-36.el7.x86_64
~~~

Additional info:

The man page on the upgraded versions lists two entries for "-I":

~~~
         -I <dhcp-client-identifier>
              Specify the dhcp-client-identifier option to send to the DHCP server.

       -I     Use the standard DDNS scheme from RFCs 4701 & 4702.
~~~

Comment 11 errata-xmlrpc 2019-08-06 12:40:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2060


Note You need to log in before you can comment on or make changes to this bug.